body{
    width: 100vw;
    height: 100vh;
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    color: #FFFFFF;
    background: url(../images/background.png) no-repeat center center fixed;
    background-size:  cover;
    font-size: 14rem;
}
a{
    cursor: pointer;
}
/* --------------header------------- */
.header{
    width: 100vw;
    height: 13vh;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
#journey{
    /* width: 10vw; */
    height: 13vh;
    margin-left: 10vw;
    background: none;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 22px;
    line-height: 1;
    color: #FFFFFF;
}
.icons{
    width: 50vw;
    height: 13vh;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
header>div>div>a{
display: flex;
justify-content: center;
align-items: center;
}
.vertical-line{
    width: 1px;
    height: 6vh;
    background-color: grey;
    margin-left: 1px;
    margin-right: 1px;  
}
.icon-link{
    margin-right: 1vw;
    margin-left: 1vw;
}
.text{
    display: flex;
}
.text-span{
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    color: #FFFFFF;
}
.text-span-capitalize{
    text-transform: capitalize;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    color: #FFFFFF;
}
.text-link-capitalize{
    text-transform: capitalize;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    color: #FFFFFF;
}

/* --------------hover------------- */

#journey:hover{
    color: #3CB878;
}
.link:hover svg path{
    stroke:#3CB878;
    fill: #3CB878;
}
.icon-calendar:hover path{
    stroke:#3CB878;
    fill: #3CB878;
}
.icon-mail:hover path{
    stroke:#3CB878;
    fill: #3CB878;
}
.icon-compas:hover path{
    stroke:#3CB878;
    fill: #3CB878;
}
.text-link-capitalize:hover{
    color:#3CB878;
}

/*-------------------form----------------*/

.form{
    min-width: 300px;
    max-width: 30%;
    height: 30rem;
    margin: auto;
    background-color: #FFFFFF;
    position: relative;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
}
.sqard{
    width: 1rem;
    height: 1rem;
    position: absolute;
    left: 0px;
    top: 1.6rem;
    background-color: #3CB878;
    
}

/* -------------conteiner----------- */


.conteiner{
    width: 80%;
    height: 100%;
    margin: 0;
    position: absolute;
    block-size: border-box;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%)
}

/* ----------------sing---------------- */
.sing{
    margin-top: 1.4rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.sing-text{
    font-size: 1.5rem;
    line-height: 1;
    color: #434343;
    text-transform: capitalize;
}
.log-in{
    font-size: 14px;
    line-height: 1;
    color: #3CB878;
    text-transform: capitalize;
}
.log-in:hover{
    color: #01813F;
}

/* -----------------social-network-------------- */


.social-networks{
    height: 3.6rem;
    margin-top: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.social-network{
    width: 49%;
    height: 100%; 
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
}
.facebook{
    background-color: #305DB8;
}
.facebook:hover{
    background-color: #022263;
}

.google{
    background-color: #DF4A32;
}
.google:hover{
    background-color:#AB1F09;
}
.social-network-svg{
    width: 30%;
    height: 100%;
    margin-left: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.social-networks-vertical-line-blue{
    width: 1px;
    height: 2rem;
    background-color: #0A162F;
    opacity: 0.1;
}
.social-networks-vertical-line-red{
    width: 1px;
    height: 2rem;
    background-color: #2B0D09;
    opacity: 0.1;
}
.social-networks-text{
    font-size: 16px;
    line-height: 1;
    color: #FFFFFF;
    text-transform: capitalize;
    text-align: center;
    margin: auto;
}


/* ---------------or------------- */

.or{
    width: 100%;
    height: 1.2em;
    margin-top: 1.1em;
    color: #848484;
    display: flex;
    justify-content: center;
    align-items: center;
}
.or-text{
    color: #848484;
}
.or-grey-line{
    width: 48%;
    height: 1px;
    background-color: #848484;
}
.inputs{
    width: 100%;
    margin-bottom: 0.5rem;
}
.input{
    width: 100%;
    height: 5vh;
    margin: 4px 0px;
    box-sizing: border-box;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
}
#input1:hover,
#input2:hover,
#input3:hover,
#input4:hover,
#input5:hover{https://gitlab.com/dan-it8400706/homework_basic-html-and-css/homework_basic-html-and-css-6.git
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    border: none;
}
#input1:active,
#input2:active,
#input3:active,
#input4:active,
#input5:active{
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    border: none;
}


/* ---------------checkbox-------------- */

.checkbox-block{
    width: 100%;
    height: 2rem;
    padding-top: 0.5em;
    font-size: 14px;
    line-height: 14px;
    color: #434343;
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
    position: relative;
}
.checkbox{
    width: 15px;
    height: 3vh;
    margin-right: 1vw;
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;
}

.terms-and-conditions-link{
    text-decoration: none;
    color: #3CB878;
}
.terms-and-conditions-link:hover{
    color: #01813F;
}


/* styles checkbox */

.checkbox:checked, 
.checkbox:not(:checked){
    position: absolute;
    left: -9999px;
}

/* before */


.checkbox:checked + .label:before, 
.checkbox:not(:checked) + .label:before{
    content: "";
    display: block;
    position: absolute;
    left: 0px;
    top:0.8rem;
    bottom: 5px;
    width: 18px;
    height: 18px;
    box-sizing: border-box;
    border: 1px solid #F2F2F2;
    background-color: #FFFFFF; 
}
.label:before {
    border-radius: 2px;
}

.label{
    padding-left: 28px;
    line-height: 20px;
    cursor: pointer;
}

/* after */

.label:after{
    content: "";
    position: absolute;
    left: 0px;
    top:1rem;
    transition: all 0.2s ease;
}

/* visited  */

#checkbox:visited  
input[type="checkbox"]:checked + label:after, 
input[type="checkbox"]:not(:checked) + label:after {
    position: absolute;
    left: 3px;
    width: 10px;
    height: 5px;
    border-radius: 1px;
    border-left: 4px solid #3CB878;
    border-bottom: 4px solid #3CB878;
    transform: rotate(-45deg);
}

/* end styles checkbox */

.submit{
    width: 100%;
    height: 3rem;
    background: rgba(60, 184, 120, 0.8);
    border-radius: 4px;
    box-sizing: border-box;
    border: none;
    font-weight: 400;
    font-size: 16px;
    line-height: 1;
    color: #FFFFFF;
}
.submit:hover{
    background-color: #01813F;
}

